import org.jbpm.graph.def.ActionHandler;
import org.jbpm.graph.exe.ExecutionContext;

import com.openkm.api.OKMRepository;
import com.openkm.bean.form.Upload;


public class PrimerUpload implements ActionHandler {

	private static final long serialVersionUID = 1L;

	@Override
	public void execute(ExecutionContext context) throws Exception {
		
		String uuid = (String) context.getContextInstance().getVariable("uuid");
		String token = context.getToken().toString();
		String folderPath = OKMRepository.getInstance().getNodePath(token, uuid);
		context.getContextInstance().setVariable("document-path", folderPath);
		
		Upload upload = new Upload();
		upload.setName("data_upload1");
		upload.setFolderPath(folderPath);
		context.getContextInstance().setVariable("data_upload1", upload);
	}

}
