import org.jbpm.graph.def.ActionHandler;
import org.jbpm.graph.exe.ExecutionContext;

import com.openkm.bean.form.Upload;


public class SegundoUpload implements ActionHandler {

	private static final long serialVersionUID = 1L;

	@Override
	public void execute(ExecutionContext context) throws Exception {
		
		String documentUuid = ((Upload) context.getContextInstance().getVariable("upload1")).getDocumentUuid();
		String folderPath = ((Upload) context.getContextInstance().getVariable("upload1")).getFolderPath();
		
		Upload upload = new Upload();
		upload.setName("data_upload2");
		upload.setLabel("Subir archivo");
		upload.setDocumentUuid(documentUuid);
		upload.setFolderPath(folderPath);
		upload.setType(Upload.TYPE_UPDATE);
		context.getContextInstance().setVariable("data_upload2", upload);
	}

}
